package common.item;

import common.block.Block;
import common.init.ToolMaterial;

public class ItemAxe extends ItemTool
{
//    private static final Set<Block> EFFECTIVE_ON = Sets.newHashSet(new Block[] {
//    		Blocks.planks, Blocks.bookshelf, Blocks.log, Blocks.log2, Blocks.chest, Blocks.pumpkin, Blocks.lit_pumpkin, Blocks.melon_block, Blocks.ladder
//    });

    public ItemAxe(ToolMaterial material)
    {
        super(3, material);
    }

    public boolean canUseOn(ItemStack stack, Block state)
    {
        return state.canAxeHarvest() /* state.getMaterial() != Material.wood && state.getMaterial() != Material.plants && state.getMaterial() != Material.vine ? 
        		super.getStrVsBlock(stack, state) */;
    }
}
